__dev_get_by_name
Prev | Driver Support | Next

## Name

__dev_get_by_name — find a device by its name

## Synopsis

`struct net_device * __dev_get_by_name (` | struct net * | net,
| const char * | name`)`;

## Arguments

`net`

  the applicable net namespace

`name`

  name to find

## Description

Find an interface by name. Must be called under RTNL semaphore or `dev_base_lock`. If the name is found a pointer to the device is returned. If the name is not found then `NULL` is returned. The reference counters are not incremented so the caller must be careful with locks.

Prev | Up | Next
netdev_boot_setup_check | Home | dev_get_by_name